<div class="container">
  <div class="row">
    <h2>Add Platform</h2>
  </div>
  <form #formPlatform=ngForm>
    <div class="row">
      <div class="col-md-3">
        <div class="form-group form-group-sm">
          <label for="firstname" class="control-label">Nom Platforme</label>
          <input type="text" class="form-control" #namp="ngModel" name="firstname" id="firstname"
                 placeholder="Firstname" [(ngModel)]="plat.nomPlatform" required minlength="5" />
        </div>

        <div *ngIf="namp.invalid && (namp.dirty || namp.touched)"
             class="alert alert-danger">
          <div *ngIf="namp.errors.required">
            Name is required
          </div>

          <div *ngIf="namp.errors.minlength">
            Name must 4 charactuers long
          </div>
        </div>


      </div>
      <div class="col-md-3">
        <div class="form-group">
          <label for="pays" class="control-label">Pays</label>
          <input type="text" class="form-control" id="pays" name="pays" minlength="23" placeholder="Last Name"
                 [(ngModel)]="plat.pays" required />
        </div>
      </div>
      <div class="col-md-3">
        <div class="form-group">
          <label for="dateAdd" class="control-label">Date</label>
          <input type="date" class="form-control" name="dateAdd" id="dateAdd" placeholder="Last Name"
                 [(ngModel)]="plat.datep" required />
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-xs-3">
        <button type="submit" [disabled]="!formPlatform.valid" class="btn btn-default" (click)="addPlatforme()">Submit
        </button>
      </div>
    </div>
  </form>

</div>
